
GammaLib - Feature #1729

Add support to smooth sky maps

03/03/2016 10:42 PM - Knödlseder Jürgen

Status: Closed Start date: 03/03/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

The GSkyMap class should have method(s) that allows for smoothing and denoising of data

Subtasks:

Action # 1730: Add low-level support for smoothing of 1D and 2D arrays Rejected

Action # 1731: Use low-level FFT classes to implement GSkyMap smoothing Closed

Related issues:

Related to ctools - Feature # 1530: Python Function to Convert GObservations ... Feedback

History

#1 - 03/03/2016 10:43 PM - Knödlseder Jürgen

- Related to Feature #1530: Python Function to Convert GObservations to GCTABackground3D added

#2 - 06/21/2016 10:01 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#3 - 03/03/2017 10:17 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#4 - 06/06/2017 10:28 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0

#5 - 07/31/2017 11:08 PM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

#6 - 10/17/2017 06:02 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

A GSkyMap::smooth method has been added that allows smoothing with uniform disk a Gaussian kernels.

Merged code into devel.
